xhprof_sample_disable
Audio Formats Manipulation
Xhprof Functions
PHP Manual

# xhprof_sample_enable

(PECL xhprof >= 0.9.0)

xhprof_sample_enable — Start XHProf profiling in sampling mode

### Description

void xhprof_sample_enable ( void )

Starts profiling in sample mode, which is a lighter weight version of xhprof_enable(). The sampling interval is 0.1 seconds, and samples record the full function call stack. The main use case is when lower overhead is required when doing performance monitoring and diagnostics.

### Parameters

This function has no parameters.

### Return Values

`NULL`

### See Also

- xhprof_sample_disable() - Stops xhprof sample profiler
- xhprof_enable() - Start xhprof profiler
- memory_get_usage() - Returns the amount of memory allocated to PHP
- getrusage() - Gets the current resource usages

xhprof_sample_disable
Audio Formats Manipulation
Xhprof Functions
PHP Manual